Package org.apache.catalina.tribes.group

## Class GroupChannel.HeartbeatRunnable

- java.lang.Object
- - org.apache.catalina.tribes.group.GroupChannel.HeartbeatRunnable

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  GroupChannel

    public class GroupChannel.HeartbeatRunnable
    extends Object
    implements Runnable

Title: Internal heartbeat runnable

Description: if `Channel.getHeartbeat()==true` then a thread of this class is created

### Constructor Summary

Constructors
`HeartbeatRunnable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeartbeatRunnable

    public HeartbeatRunnable()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`